summaryrefslogtreecommitdiffstats
path: root/eclass/trinity-functions-2.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/trinity-functions-2.eclass')
-rw-r--r--eclass/trinity-functions-2.eclass15
1 files changed, 15 insertions, 0 deletions
diff --git a/eclass/trinity-functions-2.eclass b/eclass/trinity-functions-2.eclass
index 102e4e6d..eff5a0fa 100644
--- a/eclass/trinity-functions-2.eclass
+++ b/eclass/trinity-functions-2.eclass
@@ -180,3 +180,18 @@ need-arts() {
DEPEND+=" ${my_depend}";
RDEPEND+=" ${my_depend}";
}
+
+trinity_l10n_for_each_locale_do() {
+ local locs x
+
+ for x in ${TRINITY_LANGS}
+ do
+ if has ${x} ${L10N} ; then
+ locs+=" ${x}"
+ fi
+ done
+
+ for x in ${locs}; do
+ "${@}" ${x} || die "failed to process enabled ${x} locale"
+ done
+} \ No newline at end of file